<h1 mat-dialog-title>Unggah File</h1>
<div mat-dialog-content>
    <div class="uk-flex uk-flex-middle uk-flex-center" style="height: 100px; outline: 2px dashed #ccc; margin:10px;"
    (click)="fileInput.click()">
  <span>{{selectedFile ? selectedFile.name : 'Pilih File'}}</span>
</div>
    <input type="file" id="file" (change)="onFileChange($event)" #fileInput style="display: none"> 
<div mat-dialog-action align="right">
  <button mat-button mat-dialog-close style="margin-right: 5px;">Cancel</button>
  <button mat-flat-button color="primary" (click)="uploadFile()" [disabled]="loadingUpload">{{ loadingUpload ? 'UpLoading....':'UpLoad'}}</button>
</div>
